#include <stdio.h>
#include <string.h>
#include <stdlib.h>

int main() {
    char fizzbuzz[3][9] = {"Fizz", "Buzz", "FizzBuzz"};
    char s[3][9];
    for(int n=0; n<3; n++) {
        scanf("%s",s[n]);
    }

    for(int n=0; n<3; n++) {
        int isString = 0;
        for(int i=0; i<3; i++) {
            if(strcmp(s[n],fizzbuzz[i]) == 0) {
                isString = 1;
                break;
            }
        }
        if(!isString) {
            int num = atoi(s[n]) + (3-n);
            if(num%15==0) printf("%s\n", fizzbuzz[2]);
            else if(num%3==0) printf("%s\n", fizzbuzz[0]);
            else if(num%5==0) printf("%s\n", fizzbuzz[1]);
            else printf("%d\n", num);
            break;
        }
    }

    return 0;
}


